wxWidgets: wxColourData Class Reference

| Version: 3.2.7

Public Types | Public Member Functions | List of all members
wxColourData Class Reference
Class List by Category » Common Dialogs | Class List by Category » Data Structures

`#include <wx/colourdata.h>`

Inheritance diagram for wxColourData:
[legend]

## Detailed Description

This class holds a variety of information related to colour dialogs.

##

Library: wxCore
Category: Common Dialogs, Data Structures

See also
  wxColour, wxColourDialog, wxColourDialog Overview

## Public Types
enum | { NUM_CUSTOM = 16 }
| number of custom colours we store More...

## Public Member Functions
| wxColourData ()
| Constructor. More...
virtual | ~wxColourData ()
| Destructor. More...
bool | GetChooseFull () const
| Under Windows, determines whether the Windows colour dialog will display the full dialog with custom colour selection controls. More...
bool | GetChooseAlpha () const
| Indicates whether the colour dialog will display alpha values and an opacity selector. More...
wxColour & | GetColour ()
| Gets the current colour associated with the colour dialog. More...
wxColour | GetCustomColour (int i) const
| Returns custom colours associated with the colour dialog. More...
void | SetChooseFull (bool flag)
| Under Windows, tells the Windows colour dialog to display the full dialog with custom colour selection controls. More...
void | SetChooseAlpha (bool flag)
| Tells the colour dialog to show alpha values and an opacity selector (slider). More...
void | SetColour (const wxColour &colour)
| Sets the default colour for the colour dialog. More...
void | SetCustomColour (int i, const wxColour &colour)
| Sets custom colours for the colour dialog. More...
wxString | ToString () const
| Converts the colours saved in this class in a string form, separating the various colours with a comma. More...
bool | FromString (const wxString &str)
| Decodes the given string, which should be in the same format returned by ToString(), and sets the internal colours. More...
wxColourData & | operator= (const wxColourData &data)
| Assignment operator for the colour data. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

number of custom colours we store

Enumerator
NUM_CUSTOM |

## Constructor & Destructor Documentation

## ◆ wxColourData()

wxColourData::wxColourData | ( |  | ) |

Constructor.

Initializes the custom colours to `wxNullColour`, the data colour setting to black, and the choose full setting to true.

## ◆ ~wxColourData()

virtual wxColourData::~wxColourData | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ FromString()

bool wxColourData::FromString | ( | const wxString & | str | ) |

Decodes the given string, which should be in the same format returned by ToString(), and sets the internal colours.

## ◆ GetChooseAlpha()

bool wxColourData::GetChooseAlpha | ( |  | ) | const

Indicates whether the colour dialog will display alpha values and an opacity selector.

It is meaningful under wxGTK, wxOSX and with regards to generic colour dialog.

The default value is false, except wxOSX where it is true (for the sake of backward compatibility).

## ◆ GetChooseFull()

bool wxColourData::GetChooseFull | ( |  | ) | const

Under Windows, determines whether the Windows colour dialog will display the full dialog with custom colour selection controls.

Has no meaning under other platforms.

The default value is true.

## ◆ GetColour()

wxColour& wxColourData::GetColour | ( |  | ) |

Gets the current colour associated with the colour dialog.

The default colour is black.

## ◆ GetCustomColour()

wxColour wxColourData::GetCustomColour | ( | int | i | ) | const

Returns custom colours associated with the colour dialog.

Parameters

  i | An integer between 0 and 15, being any of the 15 custom colours that the user has saved. The default custom colours are invalid colours.

## ◆ operator=()

wxColourData& wxColourData::operator= | ( | const wxColourData & | data | ) |

Assignment operator for the colour data.

## ◆ SetChooseAlpha()

void wxColourData::SetChooseAlpha | ( | bool | flag | ) |

Tells the colour dialog to show alpha values and an opacity selector (slider).

Currently it has effect under wxGTK, wxOSX and for generic colour dialog.

The default value is false, except wxOSX where it is true for backward compatibility.

## ◆ SetChooseFull()

void wxColourData::SetChooseFull | ( | bool | flag | ) |

Under Windows, tells the Windows colour dialog to display the full dialog with custom colour selection controls.

Under other platforms, has no effect.

The default value is true.

## ◆ SetColour()

void wxColourData::SetColour | ( | const wxColour & | colour | ) |

Sets the default colour for the colour dialog.

The default colour is black.

## ◆ SetCustomColour()

void wxColourData::SetCustomColour | ( | int | i,
|  | const wxColour & | colour
| ) |  |

Sets custom colours for the colour dialog.

Parameters

  i | An integer between 0 and 15 for whatever custom colour you want to set. The default custom colours are invalid colours.
  colour | The colour to set

## ◆ ToString()

wxString wxColourData::ToString | ( |  | ) | const

Converts the colours saved in this class in a string form, separating the various colours with a comma.